curl https://sandbox.core.linkio.world/api/customers/cus_4hT9pL2mQx8VnR3tY7wZ1cB5dE/details \
-H "X-BRIDGE-API-Key: $BRIDGE_API_KEY" \
-H "API-Version: 2026-10-29-atlas"
{
"status": "success",
"message": "Customer details retrieved",
"customer": {
"id": "cus_4hT9pL2mQx8VnR3tY7wZ1cB5dE",
"type": "retail",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678",
"address": null,
"country": null,
"metadata": {}
}
}
{
"error": {
"type": "resource_not_found",
"code": "customer_not_found",
"message": "Customer cus_4hT9pL2mQx8VnR3tY7wZ1cB5dE not found",
"request_id": "req_3VnR7tY1wZ4cB6dE8fK2mQ9xLp",
"status": 404
}
}
Customers
Get a customer
Get one customer by ID.
GET
/
customers
/
{customerId}
/
details
curl https://sandbox.core.linkio.world/api/customers/cus_4hT9pL2mQx8VnR3tY7wZ1cB5dE/details \
-H "X-BRIDGE-API-Key: $BRIDGE_API_KEY" \
-H "API-Version: 2026-10-29-atlas"
{
"status": "success",
"message": "Customer details retrieved",
"customer": {
"id": "cus_4hT9pL2mQx8VnR3tY7wZ1cB5dE",
"type": "retail",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678",
"address": null,
"country": null,
"metadata": {}
}
}
{
"error": {
"type": "resource_not_found",
"code": "customer_not_found",
"message": "Customer cus_4hT9pL2mQx8VnR3tY7wZ1cB5dE not found",
"request_id": "req_3VnR7tY1wZ4cB6dE8fK2mQ9xLp",
"status": 404
}
}
Requires the Customers scope (read).
Headers
string
default:"2026-10-29-atlas"
required
Your account’s API version.
Path
string
required
The customer ID, starting with
cus_.Response
200 OK
string
successstring
Customer details retrievedobject
The customer. Same fields as Add a customer.
Errors
| Status | Code | Why |
|---|---|---|
404 | customer_not_found | No customer with this ID in your business. |
422 | validation_failed | The ID isn’t in the right format. |
curl https://sandbox.core.linkio.world/api/customers/cus_4hT9pL2mQx8VnR3tY7wZ1cB5dE/details \
-H "X-BRIDGE-API-Key: $BRIDGE_API_KEY" \
-H "API-Version: 2026-10-29-atlas"
{
"status": "success",
"message": "Customer details retrieved",
"customer": {
"id": "cus_4hT9pL2mQx8VnR3tY7wZ1cB5dE",
"type": "retail",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678",
"address": null,
"country": null,
"metadata": {}
}
}
{
"error": {
"type": "resource_not_found",
"code": "customer_not_found",
"message": "Customer cus_4hT9pL2mQx8VnR3tY7wZ1cB5dE not found",
"request_id": "req_3VnR7tY1wZ4cB6dE8fK2mQ9xLp",
"status": 404
}
}
Last modified on October 29, 2026
Was this page helpful?

